Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: Invisible viewports...no lines...no grips

  1. #11
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    To select the viewport(s).

    Code:
    Erase
    All
    Remove
    (window everything)
    
    Oops
    Creating a replacement viewport is probably the best option.

    It may be worth setting Maxactvp to a higher value 'tho that is not what it is supposed to control.

  2. #12
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    There is actually a way of getting viewports like this without programming / setting that obscure Visible property.

    See my posts #22 & #23 in this thread. It could easily happen if someone's used qselect/filter to erase all polylines on the layout tab (e.g.).

  3. #13
    Active Member
    Join Date
    2009-04
    Posts
    78
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    Try the command "Visible" .. works in 2012 for sure. not sure about earlier versions.

    -R

  4. #14
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    Quote Originally Posted by richardronan View Post
    Try the command "Visible" .. works in 2012 for sure. not sure about earlier versions.

    -R
    That's possibly a new command, not available in 2008 nor 2011.

    Anyhow, I've tested TestVP.dwg. Using some lisp:
    Code:
    (setq n 0 ss (ssget "_X" '((0 . "VIEWPORT"))))
    (while (setq en (ssname ss n))
      (setq eo (vlax-ename->vla-object en) n (1+ n))
      (princ "\n")
      (princ n)
      (princ "\t")
      (princ (vla-get-Visible eo))
      (princ)
    )
    When I do it I get:
    Code:
    1  :vlax-true
    2  :vlax-true
    3  :vlax-true
    Showing that all 3 viewports (the 2 on the page and the page itself) are all visible. Yet one of those is not "visible", selectable or editable - you can only go into its model space.

    BTW, if you could possibly selecting (e.g. using perhaps the All and remove crossing) then you could VPClip on it and the VPClip delete again. That restores the VP to "normal".
    Last edited by irneb; 2011-07-12 at 04:09 PM.

  5. #15
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    It's definately what's wrong with your Missing Viewport drawing. See this video screen capture:
    Attached Images Attached Images

  6. #16
    Member
    Join Date
    2007-11
    Location
    UK
    Posts
    20
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    Quote Originally Posted by irneb View Post

    ...BTW, if you could possibly selecting (e.g. using perhaps the All and remove crossing) then you could VPClip on it and the VPClip delete again. That restores the VP to "normal".
    Thanks for your reply. This does work in the test file.

    In the real file there are two invisible viewports and I can only get this to work on one viewport by:

    Deleting the other visible viewports,
    use 'quickselect' to select viewports
    VPCLIP and enter 'last' as the selection option, create a polygon

    Have not worked out how to (manually) step through the previous selection list to select the second last element.

  7. #17
    Active Member
    Join Date
    2009-04
    Posts
    78
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    If you want to send a copy the file to me with the offending viewports, I will dig on it a bit.

    My email is [myname]@gmail.com Just put 'AUGI problem' in the subject

    -R

  8. #18
    Member
    Join Date
    2010-08
    Posts
    6
    Login to Give a bone
    0

    Default Re: Invisible viewports...no lines...no grips

    invisibility property - brilliant solution - worked like a charm!! thanks T!!

Page 2 of 2 FirstFirst 12

Similar Threads

  1. Getting Invisible Lines Back
    By STHRevit in forum Revit Architecture - General
    Replies: 4
    Last Post: 2009-10-08, 06:53 PM
  2. Invisible Lines...
    By mdcoop_ak in forum Revit Architecture - General
    Replies: 10
    Last Post: 2008-02-04, 12:49 PM
  3. Invisible viewports
    By cgolden105061 in forum AutoCAD LT - General
    Replies: 7
    Last Post: 2006-06-28, 02:10 AM
  4. Invisible paper space viewports
    By jrd.chapman in forum AutoLISP
    Replies: 5
    Last Post: 2004-08-17, 01:29 PM
  5. Invisible Lines
    By cphubb in forum Revit Architecture - General
    Replies: 5
    Last Post: 2004-08-17, 07:53 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •